ArcGIS 10.6.1 and Cube 6.4.4

Understand Cube 6.4.4 is compatible with ArcGIS 10.6, does that include 10.6.1?

Yes. It supports ArcGIS 10.6.x

Thank you for that information.